## com.mysql.jdbc
Class ConnectionPropertiesImpl.StringConnectionProperty

    java.lang.Object
      com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
          com.mysql.jdbc.ConnectionPropertiesImpl.StringConnectionProperty

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ConnectionPropertiesImpl

     class ConnectionPropertiesImpl.StringConnectionProperty

extends ConnectionPropertiesImpl.ConnectionProperty
implements java.io.Serializable

Field Summary

Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
`allowableValues, categoryName, defaultValue, description, lowerBound, order, propertyName, required, sinceVersion, upperBound, valueAsObject`

Constructor Summary
`ConnectionPropertiesImpl.StringConnectionProperty(java.lang.String propertyNameToSet, java.lang.String defaultValueToSet, java.lang.String[] allowableValuesToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)` DOCUMENT ME!
`ConnectionPropertiesImpl.StringConnectionProperty(java.lang.String propertyNameToSet, java.lang.String defaultValueToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`

Method Summary
`(package private) java.lang.String` `getValueAsString()`
`(package private) boolean` `hasValueConstraints()`
`(package private) void` `initializeFrom(java.lang.String extractedValue)`
`(package private) boolean` `isRangeBased()`
`(package private) void` `setValue(java.lang.String valueFlag)`

Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
`getAllowableValues, getAsDriverPropertyInfo, getCategoryName, getDefaultValue, getLowerBound, getOrder, getPropertyName, getUpperBound, getValueAsObject, initializeFrom, initializeFrom, setCategoryName, setOrder, setValueAsObject, storeTo, validateStringValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPropertiesImpl.StringConnectionProperty

    ConnectionPropertiesImpl.StringConnectionProperty(java.lang.String propertyNameToSet,
                                                      java.lang.String defaultValueToSet,
                                                      java.lang.String descriptionToSet,
                                                      java.lang.String sinceVersionToSet,
                                                      java.lang.String category,
                                                      int orderInCategory)

### ConnectionPropertiesImpl.StringConnectionProperty

    ConnectionPropertiesImpl.StringConnectionProperty(java.lang.String propertyNameToSet,
                                                      java.lang.String defaultValueToSet,
                                                      java.lang.String[] allowableValuesToSet,
                                                      java.lang.String descriptionToSet,
                                                      java.lang.String sinceVersionToSet,
                                                      java.lang.String category,
                                                      int orderInCategory)

  DOCUMENT ME!

  Parameters:
    `propertyNameToSet` -
    `defaultValueToSet` -
    `allowableValuesToSet` -
    `descriptionToSet` -
    `sinceVersionToSet` - DOCUMENT ME!

Method Detail

### getValueAsString

    java.lang.String getValueAsString()

### hasValueConstraints

    boolean hasValueConstraints()

  Specified by:
    `hasValueConstraints` in class `ConnectionPropertiesImpl.ConnectionProperty`
  See Also:
    `ConnectionPropertiesImpl.ConnectionProperty.hasValueConstraints()`

### initializeFrom

    void initializeFrom(java.lang.String extractedValue)
                  throws java.sql.SQLException

  Specified by:
    `initializeFrom` in class `ConnectionPropertiesImpl.ConnectionProperty`
  Throws:
    `java.sql.SQLException`
  See Also:
    `ConnectionPropertiesImpl.ConnectionProperty.initializeFrom(java.util.Properties)`

### isRangeBased

    boolean isRangeBased()

  Specified by:
    `isRangeBased` in class `ConnectionPropertiesImpl.ConnectionProperty`
  See Also:
    `ConnectionPropertiesImpl.ConnectionProperty.isRangeBased()`

### setValue

    void setValue(java.lang.String valueFlag)